Page MenuHomePhabricator

would be handy if list and exactlist filters had negation
Closed, DeclinedPublicFeature

Assigned To
None
Authored By
bzimport
Oct 12 2007, 3:03 PM
Referenced Files
F4462: mwdumper-negate.diff
Feb 17 2015, 7:31 PM
F4464: mwdumper-negated-v3.diff
Nov 21 2014, 9:58 PM
F4463: mwdumper-negate.diff
Nov 21 2014, 9:58 PM

Description

Author: bfoley

Description:
Add negation to list and exactlist filters

The list and exactlist filters allow you to specify a list of pages you want to see in a dump, but sometimes it's useful to be able to find all pages in a dump except for a specific list of pages. "grep -v" if you will.

Included is a simple patch that does this.


Version: unspecified
Severity: enhancement

Attached:

Details

Reference
bz11640

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 9:58 PM
bzimport set Reference to bz11640.

Indeed, that would be useful at times...

I'd be inclined to use --filter=exclude:blah instead of --filter=list:!blah though; '!' is annoying to type on a Unix command line since you have to be extra careful quoting it, so perhaps better not to expand use of it.

bfoley wrote:

updated negate using different filter names rather than '!'

Good point. Is this any better?

Attached:

Created attachment 8086
Updated the patch to a the most recent revision (no changes)

I have updated the patch by Brian Foley to the most recent revision. I think it's need to be reviewed and then (hopefully) merged into the trunk. All credits go to Brian Foley.

Attached:

brooke set Security to None.
Aklapper lowered the priority of this task from Medium to Low.Apr 23 2016, 9:13 AM
Aklapper changed the subtype of this task from "Task" to "Feature Request".Feb 4 2022, 11:01 AM
hashar subscribed.

mwdumper is no more able to process dump generated since MediaWiki 1.31 (released in June 2018). The tool started in 2005 and is no more maintained, it is thus being archived, see T351228 for reference.